Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.remote
Class NotificationResult

    java.lang.Object
      javax.management.remote.NotificationResult

All Implemented Interfaces:
  Serializable

    public class NotificationResult

extends Object
implements Serializable

Result of a query for buffered notifications. Notifications in a notification buffer have positive, monotonically increasing sequence numbers. The result of a notification query contains the following elements:

- The sequence number of the earliest notification still in the buffer.
- The sequence number of the next notification available for querying. This will be the starting sequence number for the next notification query.
- An array of (Notification,listenerID) pairs corresponding to the returned notifications and the listeners they correspond to.

It is possible for the `nextSequenceNumber` to be less than the `earliestSequenceNumber`. This signifies that notifications between the two might have been lost.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`NotificationResult(long earliestSequenceNumber, long nextSequenceNumber, TargetedNotification[] targetedNotifications)` Constructs a notification query result.

Method Summary
`long` | `getEarliestSequenceNumber()` Returns the sequence number of the earliest notification still in the buffer.
`long` | `getNextSequenceNumber()` Returns the sequence number of the next notification available for querying.
`TargetedNotification[]` | `getTargetedNotifications()` Returns the notifications resulting from the query, and the listeners they correspond to.
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotificationResult

    public NotificationResult(long earliestSequenceNumber,
                              long nextSequenceNumber,
                              TargetedNotification[] targetedNotifications)

  Constructs a notification query result.

  Parameters:
    `earliestSequenceNumber` - the sequence number of the earliest notification still in the buffer.
    `nextSequenceNumber` - the sequence number of the next notification available for querying.
    `targetedNotifications` - the notifications resulting from the query, and the listeners they correspond to. This array can be empty.
  Throws:
    `IllegalArgumentException` - if `targetedNotifications` is null or if `earliestSequenceNumber` or `nextSequenceNumber` is negative.

Method Detail

### getEarliestSequenceNumber

    public long getEarliestSequenceNumber()

  Returns the sequence number of the earliest notification still in the buffer.

  Returns:
    the sequence number of the earliest notification still in the buffer.

### getNextSequenceNumber

    public long getNextSequenceNumber()

  Returns the sequence number of the next notification available for querying.

  Returns:
    the sequence number of the next notification available for querying.

### getTargetedNotifications

    public TargetedNotification[] getTargetedNotifications()

  Returns the notifications resulting from the query, and the listeners they correspond to.

  Returns:
    the notifications resulting from the query, and the listeners they correspond to. This array can be empty.

### toString

    public String toString()

  Returns a string representation of the object. The result should be a concise but informative representation that is easy for a person to read.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.